cURL
curl --request POST \
--url https://api.buildwithchirp.com/v1/organization/whatsapp/business-profiles/fail-attempt \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"attemptId": "wss_2DbBs7GWhGvVNJGrDXr5RG0mBWI",
"errorMessage": "<string>",
"errorId": "<string>",
"sessionId": "<string>",
"currentStep": "<string>"
}
'import requests
url = "https://api.buildwithchirp.com/v1/organization/whatsapp/business-profiles/fail-attempt"
payload = {
"attemptId": "wss_2DbBs7GWhGvVNJGrDXr5RG0mBWI",
"errorMessage": "<string>",
"errorId": "<string>",
"sessionId": "<string>",
"currentStep": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
attemptId: 'wss_2DbBs7GWhGvVNJGrDXr5RG0mBWI',
errorMessage: '<string>',
errorId: '<string>',
sessionId: '<string>',
currentStep: '<string>'
})
};
fetch('https://api.buildwithchirp.com/v1/organization/whatsapp/business-profiles/fail-attempt', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true
}{
"error": {
"type": "invalid_request_error",
"message": "The phone number \"+1abc\" is not in E.164 format.",
"code": "invalid_phone_number",
"doc_url": "https://docs.buildwithchirp.com/api_reference/error-codes#invalid_phone_number",
"param": "from",
"provider": {
"source": "meta",
"code": 123,
"message": "<string>",
"fbtrace_id": "<string>",
"health_status": {
"entities": [
{
"id": "<string>",
"can_send_message": "AVAILABLE",
"errors": [
{
"error_code": 123,
"error_description": "<string>",
"possible_solution": "<string>"
}
]
}
]
}
},
"additional_info": [
"<string>"
]
}
}{
"error": {
"type": "invalid_request_error",
"message": "The phone number \"+1abc\" is not in E.164 format.",
"code": "invalid_phone_number",
"doc_url": "https://docs.buildwithchirp.com/api_reference/error-codes#invalid_phone_number",
"param": "from",
"provider": {
"source": "meta",
"code": 123,
"message": "<string>",
"fbtrace_id": "<string>",
"health_status": {
"entities": [
{
"id": "<string>",
"can_send_message": "AVAILABLE",
"errors": [
{
"error_code": 123,
"error_description": "<string>",
"possible_solution": "<string>"
}
]
}
]
}
},
"additional_info": [
"<string>"
]
}
}{
"error": {
"type": "invalid_request_error",
"message": "The phone number \"+1abc\" is not in E.164 format.",
"code": "invalid_phone_number",
"doc_url": "https://docs.buildwithchirp.com/api_reference/error-codes#invalid_phone_number",
"param": "from",
"provider": {
"source": "meta",
"code": 123,
"message": "<string>",
"fbtrace_id": "<string>",
"health_status": {
"entities": [
{
"id": "<string>",
"can_send_message": "AVAILABLE",
"errors": [
{
"error_code": 123,
"error_description": "<string>",
"possible_solution": "<string>"
}
]
}
]
}
},
"additional_info": [
"<string>"
]
}
}WhatsApp Business Profiles
Fail Signup Attempt
Mark a signup attempt as failed when Meta returns an error during the Embedded Signup flow. This is different from cancellation (user-initiated) and preserves error details for debugging.
POST
/
v1
/
organization
/
whatsapp
/
business-profiles
/
fail-attempt
cURL
Authorizations
Admin API key (format: sk_admin_*) for organization-level operations
Body
application/json
Response
Attempt marked as failed
⌘I